Family Care - Bug #2361

Update File - 6th step (0000 000000)
01/13/2021 03:44 PM - Saja Nakhleh

Status:
Priority:
Assignee:
Category:
Target version:

Co-Workers:

Severity:
Category:
Sub-Category:

Step_Description:

Pre_Conditions:

Expected Result:

Closed
Normal
Saja Nakhleh

Normal

Update file

Issue #1:

the report should be opened

if the data is NULL, then an empty framed
report will be generated and opened

if the data is exist then a filled framed
report will be generated and opened

Issue #2:

once the popDup message is closed the
task should be closed, hidden and
assigned to the previous step

Issue #3:

once the popllup message is closed the
task should be closed, hidden and
assigned to the next step

Issue #4:

the task should be able to be previewed
by all the users that were assigned on it
during the workflow

Start date:

Due date:

% Done:
Estimated time:
Spent time:

Actual Result:

Environment:
Transaction Number:
Username:

Browser:

URL:

Test Case ID:

01/13/2021

0%
0.00 hour
0.00 hour

Issue #1:
an empty page will be opened !

Issue #2:

the popllup message will be closed but
the task will keep opening and if the
reject action is clicked again an error will
be occurred as on evidence 42.gif

Issue #3:

the popllup message will be closed but
the task will keep opening and if the
submit action is clicked again an error will
be occurred

Issue #4:

there is no way to preview the task after it
completed ! ( observe the task for civil ID:
276030300458)

QA

USR00209/12345678

Chrome

Description
Issue #1:

1. submit new Update file task
http://185.98.225.148:8089/redmine/issues/1

2. Pass the task to the last step (000 O00000)
3. Click the (financial data) action
4. Observe the opened page

Issue #2:

1. submit new Update file task

2. Pass the task to the last step (0000 O00000)

3. Add a comment

4. click reject

5. Fill the mandatory fields on the popllup message and click OK

Issue #3:

1. submit new Update file task

2. Pass the task to the last step (0000 000000)
3. click submit then click OK

Issue #4:

1. Search for the task in issue #3 above
2. try to preview it

History

#1 - 01/13/2021 03:45 PM - Saja Nakhleh
- Subject changed from Update File - 6th step to Update File - 6th step 1000 000000)

#2 - 01/18/2021 10:33 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Rahaf Khashroom

Dear Rahaf,

Kindly take action and advice.

#3 - 01/25/2021 02:30 PM - Rahaf Khashroom
- Assignee changed from Rahaf Khashroom to Saja Nakhleh

Issue #1: Will be handled from Mohannad Side
Issue #2: Fixed
Issue #3: Fixed

Issue #4: Fixed

#4 - 01/25/2021 02:36 PM - Rahaf Khashroom

Issue #4: Fixed .
the task will be previewed by the user who submitted the task only (Researcher user)

#5 - 03/29/2021 01:41 PM - Rahaf Khashroom
- Status changed from Open to Fixed

#6 - 04/12/2021 03:44 PM - Saja Nakhleh
- Status changed from Fixed to Feedback
Issue #1:
tested and verified.

ISsue #2:
tested and verified.

Issue #3:
tested and verified.

Issue #4:
the issue is to preview the task after the last review by the searcher user, anyway the issue will be handled as core feature in another report

#7 - 04/14/2021 02:01 PM - Saja Nakhleh
- Status changed from Feedback to Closed
